Bug 1005906 - (heisenbug-kde-theme) Review Request: heisenbug-kde-theme - Heisenbug KDE Theme
Review Request: heisenbug-kde-theme - Heisenbug KDE Theme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On: 1006041
Blocks: kde-reviews 1005251
  Show dependency treegraph
 
Reported: 2013-09-09 12:05 EDT by Martin Bříza
Modified: 2013-09-17 22:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: kde-settings-20-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-17 22:19:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Martin Bříza 2013-09-09 12:05:18 EDT
Spec URL: http://mbriza.fedorapeople.org/themes/heisenbug-kde-theme.spec
SRPM URL: http://mbriza.fedorapeople.org/themes/heisenbug-kde-theme-19.90.0-1.fc19.src.rpm
Description: This is Heisenbug KDE Theme Artwork containing KDM theme, SDDM theme KSplash theme and Plasma Workspaces theme.
Fedora Account System Username: mbriza
Comment 1 Jaroslav Reznik 2013-09-09 13:05:11 EDT
Name: ok
Summary: ok
License: ok
URL: ok
Sources: ok
Requires: ok (heisenbug-backgrounds are being worked on in parallel)
Provides: ok
Description: ok

Package builds: ok

rpmlint heisenbug-kde-theme-19.90.0-1.fc19.noarch.rpm 
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/apps/sddm/themes/heisenbug/angle-left.png ../maui/angle-left.png
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Heisenbug/system-logo-white.png ../../../../../pixmaps/system-logo-white.png
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/apps/sddm/themes/heisenbug/background.png ../../../../../../backgrounds/heisenbug/default/standard/heisenbug.jpg
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/Heisenbug/1280x1024/Heisenbug.jpg ../../../../../../backgrounds/heisenbug/default/normalish/heisenbug.jpg
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/apps/sddm/themes/heisenbug/angle-down.png ../maui/angle-down.png
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/apps/sddm/themes/heisenbug/Main.qml ../maui/Main.qml
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/apps/sddm/themes/heisenbug/README ../maui/README
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/Heisenbug/1920x1200/Heisenbug.jpg ../../../../../../backgrounds/heisenbug/default/wide/heisenbug.jpg
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/apps/sddm/themes/heisenbug/reboot.png ../maui/reboot.png
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/Heisenbug/2048x1536/heisenbug.jpg ../../../../../../backgrounds/heisenbug/default/standard/heisenbug.jpg
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/Heisenbug/2048x1536/logo.png ../../../../../../pixmaps/system-logo-white.png
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/apps/sddm/themes/heisenbug/shutdown.png ../maui/shutdown.png
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/apps/sddm/themes/heisenbug/GeosansLight.ttf ../maui/GeosansLight.ttf
heisenbug-kde-theme.noarch: W: dangling-relative-symlink /usr/share/apps/sddm/themes/heisenbug/angle-right.png ../maui/angle-right.png
1 packages and 0 specfiles checked; 0 errors, 14 warnings.

Symlinks are known, it's ok, provided by required package.

Otherwise it's fairly simple packages, based on previously approved one. But for final ack, I'll wait for final heisenbug-backgrounds. Don't forget to provide kde-settings update.
Comment 2 Jaroslav Reznik 2013-09-09 17:19:59 EDT
Two issues I've found:
1. preview screenshots are not updated
2. heisenbug-backgrounds contains PNGs, this package refers to JPGs

Please prepare also kde-settings update (bundle it together).
Comment 3 Jaroslav Reznik 2013-09-09 18:19:45 EDT
Spec URL: http://rezza.hofyland.cz/fedora/artwork/f20/heisenbug-kde-theme.spec
SRPM URL: http://rezza.hofyland.cz/fedora/artwork/f20/heisenbug-kde-theme-19.90.1-1.fc19.src.rpm

As we are running out of time, these is fixed heisenbug-kde-theme. It works with heisenbug-backgrounds as far as I tested. Screenshots are fixed (temporary one for KDM).

APPROVED
Comment 4 Jaroslav Reznik 2013-09-09 18:21:58 EDT
New Package SCM Request
=======================
Package Name: heisenbug-kde-theme
Short Description: Heisenbug KDE Theme
Owners: mbriza jreznik
Branches: f20
InitialCC:

Requesting SCM for mbriza to speed the process up.
Comment 5 Kevin Fenzi 2013-09-09 19:07:17 EDT
Git done (by process-git-requests).
Comment 6 Design Software 2013-09-10 04:30:52 EDT
Scm request to cc to design-sw fas account

New Package SCM Request
=======================
Package Name: heisenbug-backgrounds
Short Description: Heisenbug desktop backgrounds
Owners: mso
Branches: f20
InitialCC: design-sw
Comment 7 Jaroslav Reznik 2013-09-10 07:02:58 EDT
This is not heisenbug-backgrounds review. Change request should go to the right review.
Comment 8 Fedora Update System 2013-09-10 07:04:01 EDT
kde-settings-20-1.fc20,schroedinger-cat-kde-theme-18.91.6-2.fc20,heisenbug-kde-theme-19.90.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kde-settings-20-1.fc20,schroedinger-cat-kde-theme-18.91.6-2.fc20,heisenbug-kde-theme-19.90.2-1.fc20
Comment 9 Gwyn Ciesla 2013-09-10 07:59:25 EDT
Requested package name heisenbug-backgrounds doesn't match bug summary
heisenbug-kde-theme, please correct.
Comment 10 Fedora Update System 2013-09-10 12:25:37 EDT
Package kde-settings-20-1.fc20, schroedinger-cat-kde-theme-18.91.6-2.fc20, heisenbug-kde-theme-19.90.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-settings-20-1.fc20 schroedinger-cat-kde-theme-18.91.6-2.fc20 heisenbug-kde-theme-19.90.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16308/kde-settings-20-1.fc20,schroedinger-cat-kde-theme-18.91.6-2.fc20,heisenbug-kde-theme-19.90.2-1.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-09-17 22:19:33 EDT
kde-settings-20-1.fc20, schroedinger-cat-kde-theme-18.91.6-2.fc20, heisenbug-kde-theme-19.90.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.